<!--
  Translates an openmath v1 expression into an openmath v2 expression.
-->
<xsl:transform
  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
>

  <xsl:template match='*[starts-with(name(),"OM")]' mode='upgradeOpenMath'>
    <xsl:element namespace='http://www.openmath.org/OpenMath' name='{name()}'>
      <xsl:for-each select='@*'>
        <xsl:copy/>
      </xsl:for-each>
      <xsl:apply-templates mode='upgradeOpenMath'/>
    </xsl:element>
  </xsl:template>
  
  <xsl:template match='*' mode='upgradeOpenMath'>
    <xsl:copy>
      <xsl:for-each select='@*'>
        <xsl:copy/>
      </xsl:for-each>
      <xsl:apply-templates mode='upgradeOpenMath'/>
    </xsl:copy>
  </xsl:template>

</xsl:transform>